#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: monad-par
version: 0.3.4.6
id: monad-par-0.3.4.6-e3ee4a5452e893c5323f3c98795eb229

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.  The default
             implementation provides a work-stealing scheduler and supports
             forking tasks that are much lighter weight than IO-threads.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/monad-par-0.3.4.6
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/monad-par-0.3.4.6
              /usr/local/lib
hs-libraries: HSmonad-par-0.3.4.6
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.3-ef70d973207a93964a9f030ac1073f3a
         abstract-par-0.3.3-3b50ee6635e83578c5a00f2f3444b39e
         array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         monad-par-extras-0.3.3-687d3d8289ab206105fee4ee238bab2b
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         mwc-random-0.13.1.2-6b5fe03e271c1edb31b1fc5c8f529290
         parallel-3.2.0.4-e7d84d2578e6412ec995ab7b1bd5ca95
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/monad-par-0.3.4.6/html/monad-par.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/monad-par-0.3.4.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
